package com.xhkjedu.sexam.mapper.reportclass;

import com.xhkjedu.sexam.model.reportstu.ERstudentAction;
import com.xhkjedu.sexam.vo.report.ERankParamVo;
import com.xhkjedu.sexam.vo.report.ReportParamsVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface EReportClassMapper {
    //试卷基本信息
    Map getPaperByExamSubjectId(@Param("rank") ERankParamVo rank);

    //试卷概况-题库
    List<Map> listTkSjGk(@Param("rank") ERankParamVo rank);

    //试卷概况-附件
    List<Map> listFjSjGk(@Param("rank") ERankParamVo rank);

    //试卷分析-大题分析
    List<Map> listType(@Param("rank") ERankParamVo rank);

    //试卷分析-小题分析
    List<Map> listQuestion(@Param("rank") ERankParamVo rank);

    //试卷分析-知识点分析
    List<Map> listPoint(@Param("rank") ERankParamVo rank);

    //行为分析-科目
    String getSubjectJson(@Param("rank") ERstudentAction rank);

    //行为分析-学生
    List<Map> listXwXs(@Param("rank") ERstudentAction rank);

    //学生试卷基础信息
    Map getStuPaperInfo(@Param("rank") ERankParamVo rank);

    //题库试题
    List<Map> listTkQuestion(@Param("epid") Integer epid);

    //试卷概况-优秀卷
    List<Map> listSjGkYxj(@Param("rank") ERankParamVo rank);

    //班级报告列表-教师
    List<Map> listEndExamsForClassTeacher(@Param("paramsVo") ReportParamsVo paramsVo);

    //考试班级--教师权限下
    List<Map> listExamQxClassTeacher(@Param("params") ReportParamsVo params);
}
